### Virtual Method

# Ide BuildTargetProvider get_targets_async

#### Declaration

    void
    get_targets_async (
      IdeBuildTargetProvider* self,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously requests that the provider fetch all of the known build targets that are part of the project. Generally this should be limited to executables that Builder might be interested in potentially running.

`callback` should call `ide_build_target_provider_get_targets_finish()` to complete the asynchronous operation.

See also: `ide_build_target_provider_get_targets_finish()`

Available since: | 3.32

#### Parameters

`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to execute upon completion.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.